<?php 

global $options;

foreach ($options as $value) {

    if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { $$value['id'] = get_settings( $value['id'] ); }

} 

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>



<head profile="http://gmpg.org/xfn/11">

<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />



<?php if (strlen($wpzoom_misc_favicon) > 1 ) { ?><link rel="shortcut icon" href="<?php echo "$wpzoom_misc_favicon";?>" type="image/x-icon" /><?php } ?>

<title><?php if ($wpzoom_seo_enable == 'Enable') { wpzoom_titles(); } else { wp_title('-'); echo ' | '; bloginfo('name'); } ?></title>

<meta http-equiv="content-type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<?php if ($wpzoom_seo_enable == 'Enable') { 

if (is_single() || is_page() ) : if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

<meta name="description" content="<?php echo strip_tags(get_the_excerpt()); ?>" />

<?php meta_post_keywords(); ?>

<?php endwhile; endif; elseif(is_home()) : ?>

<meta name="description" content="<?php if (strlen($wpzoom_meta_desc) < 1) { bloginfo('description');} else {echo"$wpzoom_meta_desc";}?>" />

<?php meta_home_keywords(); ?>

<?php endif; ?>

<?php wpzoom_index(); ?>

<?php wpzoom_canonical(); } ?>



<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/style.css" />

<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/dropdown.css" type="text/css" media="screen" />

<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_directory'); ?>/custom.css" media="screen" />

<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php if (strlen($wpzoom_misc_feedburner) < 10) { bloginfo('rss2_url');} else {echo"$wpzoom_misc_feedburner";} ?>" />

<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />

<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

<?php wp_enqueue_script('jquery');  ?>

<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>  

<?php wp_head(); ?>

<script src="<?php bloginfo('template_directory'); ?>/js/dropdown.js" type="text/javascript"></script>

<?php if (is_home()) { ?>

<?php if ($wpzoom_featured_posts_show == 'Yes') { ?>

<script src="<?php bloginfo('template_directory'); ?>/js/jcarousel.js" type="text/javascript"></script>


<?php } ?>

<?php } ?>

</head>



<body>



<div id="container">

	<div id="header">

	

		<div class="wrapper">

			<div id="logo">

				<a href="<?php echo get_option('home'); ?>"><?php if ($wpzoom_misc_logo_path) { ?><img src="<?php echo "$wpzoom_misc_logo_path";?>" alt="<?php bloginfo('name'); ?>" title="<?php bloginfo('name'); ?>" /><?php } else { ?><img src="<?php bloginfo('template_directory'); ?>/images/logo.png" alt="<?php bloginfo('name'); ?>" title="<?php bloginfo('name'); ?>" /><?php } ?></a>

			</div><!-- end #logo -->



			<?php if ($wpzoom_ad_head_select == 'Yes') {?><div id="bannerHead"><?php echo stripslashes($wpzoom_ad_head_code); ?></div><?php } ?>



			<div class="cleaner"></div>

		</div><!-- end .wrapper -->

	

	</div><!-- end #header -->

	  

	<div class="wrapper">

	

		<div id="navigation">

			<img src="<?php bloginfo('template_directory'); ?>/images/men_crn_left.png" width="3" height="34" alt="" class="alignleft" />

			<img src="<?php bloginfo('template_directory'); ?>/images/men_crn_right.png" width="3" height="34" alt="" class="alignright" />

			      

			<div id="menu" class="dropdown">

				<?php 

				$homeLink = '<a href="' . get_option('home') . '"rel="nofollow"><img src="' . get_bloginfo('template_directory') .'/images/men_icon_home.png" width="37" height="34" alt="topnaz" title="topnaz" /></a>';

				$menu = wp_nav_menu(array('container' => '', 'container_class' => '', 'menu_class' => 'home', 'menu_id' => 'nav', 'echo' => false, 'sort_column' =>'menu_order', 'theme_location' =>'primary', 'items_wrap'=>'<ul id="%s"><li class="%s">'.$homeLink.'</li>%s<li class="cleaner">&nbsp;</li></ul>'));

				print $menu;

				?>

			</div><!-- end #menu -->

		

		</div><!-- end #navigation -->

		<div id="navigation2">

			

			<?php if ($wpzoom_soc_show == 'Yes') { ?>

			<div id="menuSocial">

				<ul>

				<?php if (strlen($wpzoom_soc_twitter) > 1) { ?><li><a href="<?php echo $wpzoom_soc_twitter; ?>" rel="external,nofollow"><img src="<?php bloginfo('template_directory'); ?>/images/icons/soc_twitter.png" width="16" height="16" alt="" /></a></li><?php } ?>

				<?php if (strlen($wpzoom_soc_facebook) > 1) { ?><li><a href="<?php echo $wpzoom_soc_facebook; ?>" rel="external,nofollow"><img src="<?php bloginfo('template_directory'); ?>/images/icons/soc_facebook.png" width="16" height="16" alt="" /></a></li><?php } ?>

				<?php if (strlen($wpzoom_soc_linkedin) > 1) { ?><li><a href="<?php echo $wpzoom_soc_linkedin; ?>" rel="external,nofollow"><img src="<?php bloginfo('template_directory'); ?>/images/icons/soc_linkedin.png" width="16" height="16" alt="" /></a></li><?php } ?>

				<?php if (strlen($wpzoom_soc_flickr) > 1) { ?><li><a href="<?php echo $wpzoom_soc_flickr; ?>" rel="external,nofollow"><img src="<?php bloginfo('template_directory'); ?>/images/icons/soc_flickr.png" width="16" height="16" alt="" /></a></li><?php } ?>

				<?php if (strlen($wpzoom_soc_picasa) > 1) { ?><li><a href="<?php echo $wpzoom_soc_picasa; ?>" rel="external,nofollow"><img src="<?php bloginfo('template_directory'); ?>/images/icons/soc_picasa.png" width="16" height="16" alt="" /></a></li><?php } ?>

				<?php if (strlen($wpzoom_soc_skype) > 1) { ?><li><a href="<?php echo $wpzoom_soc_skype; ?>" rel="external,nofollow"><img src="<?php bloginfo('template_directory'); ?>/images/icons/soc_skype.png" width="16" height="16" alt="" /></a></li><?php } ?>

				<?php if (strlen($wpzoom_soc_vimeo) > 1) { ?><li><a href="<?php echo $wpzoom_soc_vimeo; ?>" rel="external,nofollow"><img src="<?php bloginfo('template_directory'); ?>/images/icons/soc_vimeo.png" width="16" height="16" alt="" /></a></li><?php } ?>

				<?php if (strlen($wpzoom_soc_youtube) > 1) { ?><li><a href="<?php echo $wpzoom_soc_youtube; ?>" rel="external,nofollow"><img src="<?php bloginfo('template_directory'); ?>/images/icons/soc_youtube.png" width="16" height="16" alt="" /></a></li><?php } ?>

				<li><a href="<?php if (strlen($wpzoom_misc_feedburner) < 10) { bloginfo('rss2_url');} else {echo"$wpzoom_misc_feedburner";} ?>"><img src="<?php bloginfo('template_directory'); ?>/images/icons/soc_rss.png" width="16" height="16" alt="" /></a></li>

				</ul>

			</div><!-- end #menuSocial -->

			<?php } ?>      

			<?php wp_nav_menu( array('container' => '', 'container_class' => '', 'menu_class' => 'menu', 'menu_id' => 'nav2', 'sort_column' => 'menu_order', 'depth' => '1', 'theme_location' => 'secondary' ) ); ?>

		

		</div><!-- end #navigation -->

	</div><!-- end .wrapper -->